Hypertable

From FedoraProject

(Difference between revisions)
Jump to: navigation, search
m (Packages)
m (Status: Updated the status for Boost)
 
(20 intermediate revisions by one user not shown)
Line 6: Line 6:
 
* [http://en.wikipedia.org/wiki/Hypertable Hypertable in Wikipedia]
 
* [http://en.wikipedia.org/wiki/Hypertable Hypertable in Wikipedia]
 
* [http://hypertable.com/community/source_code/ Hypertable community page]
 
* [http://hypertable.com/community/source_code/ Hypertable community page]
 +
* Relevant mailing list (ML) threads:
 +
** [http://lists.fedoraproject.org/pipermail/devel/2012-September/171463.html Request for interest on the Fedora development mailing list] (September 9th, 2012)
 +
** [http://groups.google.com/d/topic/hypertable-dev/M_S0kgiQ8Vg/discussion Request for interest on the Hypertable (Google-hosted) discussion group] (October 20th, 2012)
  
 
== Packages ==
 
== Packages ==
 +
 +
=== Dependencies ===
 +
 +
==== RE2, the fast C++ alternative to backtracking RE engines ====
 +
* [http://bugzilla.redhat.com/show_bug.cgi?id=868578 Review request for RE2] - '''Approved'''
 +
* [http://code.google.com/p/re2/ RE2 on Google Code] (source code available through Mercurial)
 +
* [http://sourceforge.net/projects/extras-re2c/ RE2 on SourceForge] (for the source tar-balls)
 +
 +
==== Apache Thrift ====
 +
* [http://thrift.apache.org/ Apache Thrift on Apache]
 +
 +
=== Status ===
 
{| border="1"
 
{| border="1"
 
|-
 
|-
 
| '''Name''' || '''EL-5''' || '''EL-6''' || '''F-18''' || '''F-19''' || '''Rawhide'''
 
| '''Name''' || '''EL-5''' || '''EL-6''' || '''F-18''' || '''F-19''' || '''Rawhide'''
 
|-
 
|-
| {{package|boost|Boost}} || {{no|1.33}}<ref>Requires Boost >= 1.44</ref> || {{yes|1.39}} || {{yes|1.50}} || {{yes|1.52}} || {{yes|1.50}}
+
| {{package|ant|Ant}} || {{yes|1.8.3}} || {{yes|1.8.3}} || {{yes|1.8.3}} || {{yes|1.8.3}} || {{yes|1.8.3}}
 +
|-
 +
| {{package|libdb|BerkeleyDB}} || {{yes|5.2.36}} || {{yes|5.2.36}} || {{yes|5.2.36}} || {{yes|5.2.36}} || {{yes|5.2.36}}
 +
|-
 +
| {{package|boost|Boost}} || {{no|1.33 / 1.41}}<ref>Requires Boost >= 1.44</ref> || {{yes|1.39 / 1.41}} || {{yes|1.50}} || {{yes|1.53}} || {{yes|1.53}}
 +
|-
 +
| {{package|ceph|Ceph}} || {{no|-}} || {{no|-}} || {{yes|0.44}} || {{yes|0.44}} || {{yes|0.44}}
 +
|-
 +
| {{package|cronolog|Cronolog}} || {{no|-}} || {{no|-}} || {{yes|1.6.2}} || {{yes|1.6.2}} || {{yes|1.6.2}}
 +
|-
 +
| {{package|libedit|EditLine}} || {{yes|3.0}} || {{yes|3.0}} || {{yes|3.0}} || {{yes|3.0}} || {{yes|3.0}}
 +
|-
 +
| {{package|ghc-editline|Haskell EditLine}} || {{no|-}} || {{no|-}} || {{yes|0.2.1.0}} || {{yes|0.2.1.0}} || {{yes|0.2.1.0}}
 +
|-
 +
| {{package|gperftools-libs|gperftools-libs/tcmalloc}} || {{no|-}} || {{no|-}} || {{yes|2.0}} || {{yes|2.0}} || {{yes|2.0}}
 +
|-
 +
| {{package|hive|Hive}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}}
 +
|-
 +
| {{package|hadoop|Hadoop}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}}
 +
|-
 +
| {{package|hoard|Hoard}} || {{no|-}} || {{no|-}} || {{yes|3.8}} || {{yes|3.8}} || {{yes|3.8}}
 +
|-
 +
| {{package|java-1.7.0-openjdk|Java JDK}} || {{yes|1.5.0}} || {{yes|1.6.0}} || {{yes|1.7.0.9}} || {{yes|1.7.0.9}} || {{yes|1.7.0.9}}
 +
|-
 +
| {{package|jemalloc}} || {{no|-}} || {{no|-}} || {{yes|3.0.0}} || {{yes|3.0.0}} || {{yes|3.0.0}}
 +
|-
 +
| {{package|libevent}} || {{yes|2.0.18}} || {{yes|2.0.18}} || {{yes|2.0.18}} || {{yes|2.0.18}} || {{yes|2.0.18}}
 +
|-
 +
| {{package|log4cpp}} || {{yes|1.0}} || {{yes|1.0}} || {{yes|1.0}} || {{yes|1.0}} || {{yes|1.0}}
 +
|-
 +
| {{package|perl-Class-Accessor}} || {{yes|0.31.1}} || {{yes|0.31.1}} || {{yes|0.34.8}} || {{yes|0.34.8}} || {{yes|0.34.8}}
 +
|-
 +
| {{package|re2|re2}} || {{yes|20130115}} || {{yes|20130115}} || {{yes|20130115}} || {{yes|20130115}} || {{yes|20130115}}
 +
|-
 +
| {{package|rrdtool|RRDTool}} || {{yes|1.4.7}} || {{yes|1.4.7}} || {{yes|1.4.7}} || {{yes|1.4.7}} || {{yes|1.4.7}}
 +
|-
 +
| {{package|sigar|Sigar}} || {{no|-}} || {{no|-}} || {{yes|1.6.5}} || {{yes|1.6.5}} || {{yes|1.6.5}}
 +
|-
 +
| {{package|snappy|Snappy}} || {{no|-}} || {{no|-}} || {{yes|1.0.5}} || {{yes|1.0.5}} || {{yes|1.0.5}}
 
|-
 
|-
| {{package|sigar|Sigar}} || - || {{no|-}} || {{yes|1.6.5}} || {{yes|1.6.5}} || {{yes|1.6.5}}
+
| {{package|libthrift|Thrift}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}}
 
|-
 
|-
| re2c || - || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}}
+
| {{package|zookeeper|ZooKeeper}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}} || {{no|-}}
 
|}
 
|}
  
 
<references />
 
<references />

Latest revision as of 23:49, 19 February 2013

SIGs > SIGs/NoSQL >

That page aims at packaging Hypertable for Fedora/RedHat/CentOS

Contents

[edit] References

[edit] Packages

[edit] Dependencies

[edit] RE2, the fast C++ alternative to backtracking RE engines

[edit] Apache Thrift

[edit] Status

Name EL-5 EL-6 F-18 F-19 Rawhide
Package-x-generic-16.pngAnt 1.8.3 1.8.3 1.8.3 1.8.3 1.8.3
Package-x-generic-16.pngBerkeleyDB 5.2.36 5.2.36 5.2.36 5.2.36 5.2.36
Package-x-generic-16.pngBoost 1.33 / 1.41[1] 1.39 / 1.41 1.50 1.53 1.53
Package-x-generic-16.pngCeph - - 0.44 0.44 0.44
Package-x-generic-16.pngCronolog - - 1.6.2 1.6.2 1.6.2
Package-x-generic-16.pngEditLine 3.0 3.0 3.0 3.0 3.0
Package-x-generic-16.pngHaskell EditLine - - 0.2.1.0 0.2.1.0 0.2.1.0
Package-x-generic-16.pnggperftools-libs/tcmalloc - - 2.0 2.0 2.0
Package-x-generic-16.pngHive - - - - -
Package-x-generic-16.pngHadoop - - - - -
Package-x-generic-16.pngHoard - - 3.8 3.8 3.8
Package-x-generic-16.pngJava JDK 1.5.0 1.6.0 1.7.0.9 1.7.0.9 1.7.0.9
Package-x-generic-16.pngjemalloc - - 3.0.0 3.0.0 3.0.0
Package-x-generic-16.pnglibevent 2.0.18 2.0.18 2.0.18 2.0.18 2.0.18
Package-x-generic-16.pnglog4cpp 1.0 1.0 1.0 1.0 1.0
Package-x-generic-16.pngperl-Class-Accessor 0.31.1 0.31.1 0.34.8 0.34.8 0.34.8
Package-x-generic-16.pngre2 20130115 20130115 20130115 20130115 20130115
Package-x-generic-16.pngRRDTool 1.4.7 1.4.7 1.4.7 1.4.7 1.4.7
Package-x-generic-16.pngSigar - - 1.6.5 1.6.5 1.6.5
Package-x-generic-16.pngSnappy - - 1.0.5 1.0.5 1.0.5
Package-x-generic-16.pngThrift - - - - -
Package-x-generic-16.pngZooKeeper - - - - -
  1. Requires Boost >= 1.44